### Method

# Gtk Snapshotscale

#### Declaration [src]

    void
    gtk_snapshot_scale (
      GtkSnapshot* snapshot,
      float factor_x,
      float factor_y
    )

#### Description [src]

Scales `snapshot`‘s coordinate system in 2-dimensional space by the given factors.

Use `gtk_snapshot_scale_3d()` to scale in all 3 dimensions.

#### Parameters

`factor_x`

  Type: `float`

  Scaling factor on the X axis.

`factor_y`

  Type: `float`

  Scaling factor on the Y axis.